﻿Public Class ListViewItemComparer
    Implements IComparer
    Private col As Integer
    Private order As SortOrder

    Public Sub New()
        col = 0
        order = SortOrder.Ascending
    End Sub

    Public Sub New(ByVal column As Integer, ByVal order As SortOrder)
        col = column
        Me.order = order
    End Sub

    Public Function Compare(ByVal x As Object, ByVal y As Object) As Integer Implements System.Collections.IComparer.Compare
        Dim returnVal As Integer = -1

        If FormBrowse.CurrentBucketName = "" Then
            If col = 0 Then
                returnVal = [String].Compare(x.Tag.SortName, y.Tag.SortName)
            ElseIf col = 1 Then
                returnVal = Date.Compare(x.Tag.SortDate, y.Tag.SortDate)
            End If
        Else
            If col = 0 Then
                returnVal = [String].Compare(x.Tag.SortName, y.Tag.SortName)
            ElseIf col = 1 Then
                returnVal = Decimal.Compare(x.Tag.Size, y.Tag.Size)
            ElseIf col = 2 Then
                returnVal = Date.Compare(x.Tag.SortDate, y.Tag.SortDate)
            ElseIf col = 3 Then
                returnVal = [String].Compare(x.Tag.SortFileType, y.Tag.SortFileType)
            End If
        End If

        ' Determine whether the sort order is descending.
        If order = SortOrder.Descending Then
            ' Invert the value returned by String.Compare.
            returnVal *= -1
        End If

        Return returnVal
    End Function

End Class
